org.eclipse.jetty.util

## Class ReadLineInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.BufferedInputStream
      - - org.eclipse.jetty.util.ReadLineInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class ReadLineInputStream
      extends BufferedInputStream

  ReadLineInputStream Read from an input stream, accepting CR/LF, LF or just CR.

- - ### Field Summary

    - ### Fields inherited from class java.io.BufferedInputStream

      `buf, count, marklimit, markpos, pos`

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadLineInputStream(InputStream in)`
    `ReadLineInputStream(InputStream in, int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read()`
    `int` | `read(byte[] buf, int off, int len)`
    `String` | `readLine()`

    - ### Methods inherited from class java.io.BufferedInputStream

      `available, close, mark, markSupported, reset, skip`

    - ### Methods inherited from class java.io.FilterInputStream

      `read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReadLineInputStream

          public ReadLineInputStream(InputStream in)

    - #### ReadLineInputStream

          public ReadLineInputStream(InputStream in,
                             int size)

  - ### Method Detail

    - #### readLine

          public String readLine()
                          throws IOException

      Throws:
        `IOException`

    - #### read

          public int read()
                   throws IOException

      Overrides:
        `read` in class `BufferedInputStream`
      Throws:
        `IOException`

    - #### read

          public int read(byte[] buf,
                 int off,
                 int len)
                   throws IOException

      Overrides:
        `read` in class `BufferedInputStream`
      Throws:
        `IOException`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.